-- global variable where we will keep all addon related
ShowMotifs = {}

-- localizations
ShowMotifs.LOCALES = {
	["en"] = {
		phrases = {
			GENERAL = "General",
			ICON_THEME = "Icons Theme",
			ICON_THEME_TOOLTIP = "Choose Theme for icons.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			ICON_SIZE = "Racial Motif icon Size",
			ICON_SIZE_TOOLTIP = "Set the size for Racial Motif icons",
			ARMOR_ICON_SIZE = "Armor Type icon Size",
			ARMOR_ICON_SIZE_TOOLTIP = "Set the size for Armor Type icons",
			II_POSITION = "Inventory Icon Position",
			II_POSITION_TOOLTIP = "Set the Position for icons relative to left edge of inventory list",
			GSS_POSITION = "Guild Store Icon Position",
			GSS_POSITION_TOOLTIP = "Set the Position for icons relative to left edge of guild store search result list",
			GSL_POSITION = "Guild Listing Icon Position",
			GSL_POSITION_TOOLTIP = "Set the Position for icons relative to left edge of guild store listing panel",
			RACIAL = "Show Racial Motif icon",
			RACIAL_TOOLTIP = "Show Racial Motif icon.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			ARMOR = "Show Armor Type icon",
			ARMOR_TOOLTIP = "Show Armor Type icon.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			LETTER = "Use Letters",
			LETTER_TOOLTIP = "Show letter instead of graphic symbols for Armor Type.\n\n(L)ight  -  light armor\n(M)edium  -  medium armor\n(H)eavy  -  heavy armor",
			COLOR = "Use Quality Color",
			COLOR_TOOLTIP = "Set the color for icons according to item quality",
			TOOLTIP = "Show tooltips",
			TOOLTIP_TOOLTIP = "Show tooltips for icons on mouse hover.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
		},
	},
	["de"] = {
		phrases = {
			GENERAL = "Allgemein",
			ICON_THEME = "Symbol Thema",
			ICON_THEME_TOOLTIP = "Symbol Thema welches in der Listenansicht verwendet wird\n\nHinweis f\195\188r Nutzer von Inventory Grid View: Symbole werden nicht in der \"Gitter\" (Grid) Ansicht angezeigt.",
			ICON_SIZE = "Motivsymbol Gr\195\182\195\159e",
			ICON_SIZE_TOOLTIP = "Gr\195\182\195\159e des Motivsymbols",
			ARMOR_ICON_SIZE = "R\195\188stungssymbol Gr\195\182\195\159e",
			ARMOR_ICON_SIZE_TOOLTIP = "Gr\195\182\195\159e des R\195\188stungssymbols",
			II_POSITION = "Inventar Icon Position",
			II_POSITION_TOOLTIP = "Stellen Sie die Position f\195\188r die Symbole in Bezug auf linken Rand des Inventarliste ",
			GSS_POSITION = "Guild Shop Icon Position",
			GSS_POSITION_TOOLTIP = "Stellen Sie die Position f\195\188r die Symbole in Bezug auf linken Rand der Gilde speichern Suchergebnisliste ",
			GSL_POSITION = "Guild Eintrag Icon Position",
			GSL_POSITION_TOOLTIP = "Stellen Sie die Position f\195\188r die Symbole in Bezug auf linken Rand der Zunft Store-Eintrag Panel",
			RACIAL = "Zeige Symbol f\195\188r Rassenmotiv",
			RACIAL_TOOLTIP = "Zeige das Symbol f\195\188r das Rassenmotiv in der Listenansicht\n\nHinweis f\195\188r Nutzer von Inventory Grid View: Symbole werden nicht in der \"Gitter\" (Grid) Ansicht angezeigt.",
			ARMOR = "Zeige Symbol f\195\188r R\195\188stungsart",
			ARMOR_TOOLTIP = "Zeige das Symbol f\195\188r die R\195\188stungsart in der Listenansicht",
			LETTER = "Verwende Buchstaben",
			LETTER_TOOLTIP = "Zeige Buchstaben anstelle der Symbole f\195\188r R\195\188stungsarten\n\n(L)eicht - Leichte R\195\188stung\n(M)ittel - Mittlere R\195\188stung\n(H)Schwer - Schwere R\195\188stung",
			COLOR = "Symbole nach Qualit\195\164t einf\195\164rben",
			COLOR_TOOLTIP = "Zeigt Symbole f\195\188r Motiv und R\195\188stungsart in der Qualit\195\164tsfarbe des Gegenstands",
			TOOLTIP = "Zeige Tooltips",
			TOOLTIP_TOOLTIP = "Zeige Tooltips wenn der Mauscursor in der Listenansicht \195\188ber den Symbolen ist.\n\nHinweis f\195\188r Nutzer von Inventory Grid View: Symbole werden nicht in der \"Gitter\" (Grid) Ansicht angezeigt.",
		},
	},
 ["fr"] = {
		phrases = {
			GENERAL = "G\195\169n\195\169ral",
			ICON_THEME = "Style de symboles",
			ICON_THEME_TOOLTIP = "Apparence des symboles qui sont affich\195\169s \195\160 c\195\180t\195\169 du nom de l\'objet.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
			ICON_SIZE = "Taille du motif symbole",
			ICON_SIZE_TOOLTIP = "Taille l\'icone du motif racial",
			ARMOR_ICON_SIZE = "Taille d'armure symbole",
			ARMOR_ICON_SIZE_TOOLTIP = "Taille l\'icone du type armure",
			II_POSITION = "Inventaire Ic\195\180ne Position",
			II_POSITION_TOOLTIP = "R\195\169glez la position des ic\195\180nes relatives \195\160 bord gauche de la liste d\'inventaire",
			GSS_POSITION = "Guild Magasin Ic\195\180ne Position",
			GSS_POSITION_TOOLTIP = "R\195\169glez la position des ic\195\180nes relatives \195\160 bord gauche de magasin guilde liste des r\195\169sultats de recherche",
			GSL_POSITION = "Guild Listing Ic\195\180ne Position",
			GSL_POSITION_TOOLTIP = "R\195\169glez la position des ic\195\180nes relatives au bord gauche du panneau annonce magasin guilde",
			RACIAL = "Afficher le motif racial",
			RACIAL_TOOLTIP = "Afficher l\'icone du motif racial.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
			ARMOR = "Afficher le type d\'armure",
			ARMOR_TOOLTIP = "Afficher l\'icone du type d\'armure.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
			LETTER = "Utiliser des lettres",
			LETTER_TOOLTIP = "Afficher des lettres \195\160 la place des icones pour repr\195\169senter le type d\'armure.\n\n(L)ight  -  armure l\195\169g\195\168re\n(M)edium  -  armure moyenne\n(H)eavy  -  armure lourde",
			COLOR = "Colorer les icones",
			COLOR_TOOLTIP = "Afficher les symboles en couleur, selon la qualit\195\169 de l\'objet.",
			TOOLTIP = "Afficher les infobulles",
			TOOLTIP_TOOLTIP = "Afficher une infobulle lorsque vous passez le curseur de la souris sur un symbole.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
		},
	},
}

-- to add new theme, need to create new element in ShowMotifs.STYLES_TEXTURES and ShowMotifs.ARMOR_TEXTURES with same name(ex: Default)
-- textures for racial motifs
ShowMotifs.STYLES_TEXTURES = {
	["Default"] = {
		[ITEMSTYLE_RACIAL_HIGH_ELF] = {
			texture = [[ShowMotifs/themes/Default/altmer.dds]],
		},
		[ITEMSTYLE_AREA_ANCIENT_ELF] = {
			texture = [[ShowMotifs/themes/Default/ancientelf.dds]],
		},
		[ITEMSTYLE_RACIAL_ARGONIAN] = {
			texture = [[ShowMotifs/themes/Default/argonian.dds]],
		},
		[ITEMSTYLE_AREA_REACH] = {
			texture = [[ShowMotifs/themes/Default/reach.dds]],
		},
		[ITEMSTYLE_RACIAL_WOOD_ELF] = {
			texture = [[ShowMotifs/themes/Default/bosmer.dds]],
		},
		[ITEMSTYLE_RACIAL_BRETON] = {
			texture = [[ShowMotifs/themes/Default/breton.dds]],
		},
		[ITEMSTYLE_ENEMY_DAEDRIC] = {
			texture = [[ShowMotifs/themes/Default/daedric.dds]],
		},
		[ITEMSTYLE_RACIAL_DARK_ELF] = {
			texture = [[ShowMotifs/themes/Default/dunmer.dds]],
		},
		[ITEMSTYLE_RACIAL_KHAJIIT] = {
			texture = [[ShowMotifs/themes/Default/khajiit.dds]],
		},
		[ITEMSTYLE_RACIAL_IMPERIAL] = {
			texture = [[ShowMotifs/themes/Default/imperial.dds]],
		},
		[ITEMSTYLE_RACIAL_NORD] = {
			texture = [[ShowMotifs/themes/Default/nord.dds]],
		},
		[ITEMSTYLE_RACIAL_ORC] = {
			texture = [[ShowMotifs/themes/Default/orsimer.dds]],
		},
		[ITEMSTYLE_ENEMY_PRIMITIVE] = {
			texture = [[ShowMotifs/themes/Default/primitive.dds]],
		},
		[ITEMSTYLE_RACIAL_REDGUARD] = {
			texture = [[ShowMotifs/themes/Default/redguard.dds]],
		},
		[ITEMSTYLE_AREA_DWEMER] = {
			texture = [[ShowMotifs/themes/Default/dwemer.dds]],
		},
		[ITEMSTYLE_ORG_OUTLAW] = {
			texture = [[ShowMotifs/themes/Default/outlaw.dds]],
		},
		[ITEMSTYLE_ORG_ASSASSINS] = {
			texture = [[ShowMotifs/themes/Default/assassin.dds]],
		},
		[ITEMSTYLE_ORG_DARK_BROTHERHOOD] = {
			texture = [[ShowMotifs/themes/Default/brotherhood.dds]],
		},
		[ITEMSTYLE_ENEMY_MINOTAUR] = {
			texture = [[ShowMotifs/themes/Default/minotaur.dds]],
		},
		[ITEMSTYLE_ORG_ABAHS_WATCH] = {
			texture = [[ShowMotifs/themes/Default/abah.dds]],
		},
		[ITEMSTYLE_AREA_AKAVIRI] = {
			texture = [[ShowMotifs/themes/Default/akaviri.dds]],
		},
		[ITEMSTYLE_AREA_SOUL_SHRIVEN] = {
			texture = [[ShowMotifs/themes/Default/shriven.dds]],
		},
		[ITEMSTYLE_AREA_XIVKYN] = {
			texture = [[ShowMotifs/themes/Default/xivkyn.dds]],
		},
		[ITEMSTYLE_GLASS] = {
			texture = [[ShowMotifs/themes/Default/glass.dds]],
		},
		[ITEMSTYLE_UNDAUNTED] = {
			texture = [[ShowMotifs/themes/Default/mercenary.dds]],
		},
		[ITEMSTYLE_ALLIANCE_ALDMERI] = {
			texture = [[ShowMotifs/themes/Default/dominion.dds]],
		},
		[ITEMSTYLE_ALLIANCE_EBONHEART] = {
			texture = [[ShowMotifs/themes/Default/pact.dds]],
		},
		[ITEMSTYLE_ALLIANCE_DAGGERFALL] = {
			texture = [[ShowMotifs/themes/Default/covenant.dds]],
		},
		[ITEMSTYLE_AREA_ANCIENT_ORC] = {
			texture = [[ShowMotifs/themes/Default/ancientorc.dds]],
		},
		[ITEMSTYLE_DEITY_TRINIMAC] = {
			texture = [[ShowMotifs/themes/Default/trinimac.dds]],
		},
		[ITEMSTYLE_DEITY_MALACATH] = {
			texture = [[ShowMotifs/themes/Default/malacath.dds]],
		},
		[ITEMSTYLE_ORG_THIEVES_GUILD] = {
			texture = [[ShowMotifs/themes/Default/thieves.dds]],
		},
		[ITEMSTYLE_AREA_YOKUDAN] = {
			texture = [[ShowMotifs/themes/Default/yokudan.dds]],
		},
		[ITEMSTYLE_DEITY_AKATOSH] = {
			texture = [[ShowMotifs/themes/Default/akatosh.dds]],
		},
		[ITEMSTYLE_AREA_RA_GADA] = {
			texture = [[ShowMotifs/themes/Default/ragada.dds]],
		},
		[ITEMSTYLE_AREA_REACH_WINTER] = {
			texture = [[ShowMotifs/themes/Default/winterreach.dds]],
		},
		[ITEMSTYLE_EBONY] = {
			texture = [[ShowMotifs/themes/Default/ebony.dds]],
		},
		[ITEMSTYLE_ENEMY_DRAUGR] = {
			texture = [[ShowMotifs/themes/Default/draugr.dds]],
		},
		[ITEMSTYLE_ENEMY_BANDIT] = {
			texture = [[ShowMotifs/themes/Default/bandit.dds]],
		},
		[ITEMSTYLE_ENEMY_MAORMER] = {
			texture = [[ShowMotifs/themes/Default/maomer.dds]],
		},
		[ITEMSTYLE_ENEMY_DROMOTHRA] = {
			texture = [[ShowMotifs/themes/Default/dromathra.dds]],
		},
		[ITEMSTYLE_ENEMY_SKINCHANGER] = {
			texture = [[ShowMotifs/themes/Default/skinchanger.dds]],
		},
		[ITEMSTYLE_RAIDS_CRAGLORN] = {
			texture = [[ShowMotifs/themes/Default/craglorn.dds]],
		},
		[ITEMSTYLE_ORG_WORM_CULT] = {
			texture = [[ShowMotifs/themes/Default/wormcult.dds]],
		},
		[ITEMSTYLE_ORG_MORAG_TONG] = {
			texture = [[ShowMotifs/themes/Default/moragtong.dds]],
		},
		[59] = {
			texture = [[ShowMotifs/themes/Default/hollowjack.dds]],
		},
		[0] = {
			texture = [[ShowMotifs/themes/Default/unknown.dds]],
		},
	},
	["Materials"] = {
		[ITEMSTYLE_RACIAL_HIGH_ELF] = {
			texture = [[EsoUI/Art/Icons/grafting_gems_adamantine.dds]], --Adamantite
		},
		[ITEMSTYLE_AREA_ANCIENT_ELF] = {
			texture = [[EsoUI/Art/Icons/crafting_ore_palladium.dds]], --Palladium
		},
		[ITEMSTYLE_RACIAL_ARGONIAN] = {
			texture = [[EsoUI/Art/Icons/crafting_smith_potion_standard_f_002.dds]], --Flint
		},
		[ITEMSTYLE_AREA_REACH] = {
			texture = [[EsoUI/Art/Icons/crafting_smith_potion_standard_f_001.dds]], --Copper
		},
		[ITEMSTYLE_RACIAL_WOOD_ELF] = {
			texture = [[EsoUI/Art/Icons/crafting_gems_daedra_skull.dds]], --Bone
		},
		[ITEMSTYLE_RACIAL_BRETON] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_molybdenum.dds]], --Molybdenum
		},
		[ITEMSTYLE_ENEMY_DAEDRIC] = {
			texture = [[EsoUI/Art/Icons/crafting_walking_dead_mort_heart.dds]], --Daedra Heart
		},
		[ITEMSTYLE_RACIAL_DARK_ELF] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_graphite.dds]], --Obsidian
		},
		[ITEMSTYLE_RACIAL_KHAJIIT] = {
			texture = [[EsoUI/Art/Icons/crafting_smith_plug_sp_names_001.dds]], --Moonstone
		},
		[ITEMSTYLE_RACIAL_IMPERIAL] = {
			texture = [[EsoUI/Art/Icons/crafting_heavy_armor_sp_names_001.dds]], --Nickel
		},
		[ITEMSTYLE_RACIAL_NORD] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_corundum.dds]], --Corundum
		},
		[ITEMSTYLE_RACIAL_ORC] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_manganese.dds]], --Manganese
		},
		[ITEMSTYLE_ENEMY_PRIMITIVE] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_argentum.dds]], --Argentum
		},
		[ITEMSTYLE_RACIAL_REDGUARD] = {
			texture = [[EsoUI/Art/Icons/crafting_medium_armor_sp_names_002.dds]], --Starmetal
		},
		[ITEMSTYLE_AREA_DWEMER] = {
			texture = [[EsoUI/Art/Icons/crafting_dwemer_shiny_tube.dds]], --Dwemer Frame
		},
		[ITEMSTYLE_ORG_OUTLAW] = {
			texture = [[esoui/art/icons/crafting_outlaw_styleitem.dds]], --Rogue's Soot
		},
		[ITEMSTYLE_ORG_ASSASSINS] = {
			texture = [[esoui/art/icons/crafting_style_item_assassins_league_r2.dds]], --Tainted Blood
		},
		[ITEMSTYLE_ORG_DARK_BROTHERHOOD] = {
			texture = [[esoui/art/icons/crafting_style_item_dark_brotherhood_r2.dds]], --Black Beeswax
		},
		[ITEMSTYLE_ENEMY_MINOTAUR] = {
			texture = [[esoui/art/icons/crafting_style_item_minotaur_r2.dds]], --Oxblood Fungus
		},
		[ITEMSTYLE_ORG_ABAHS_WATCH] = {
			texture = [[esoui/art/icons/crafting_style_item_abahs_watch_r2.dds]], --Polished Shilling
		},
		[ITEMSTYLE_AREA_AKAVIRI] = {
			texture = [[esoui/art/icons/crafting_medium_armor_vendor_003.dds]], --Goldscale
		},
		[ITEMSTYLE_AREA_SOUL_SHRIVEN] = {
			texture = [[esoui/art/icons/crafting_runecrafter_plug_component_005.dds]], --Azure Plasm
		},
		[ITEMSTYLE_AREA_XIVKYN] = {
			texture = [[esoui/art/icons/crafting_smith_potion_008.dds]], --Charcoal of Remorse
		},
		[ITEMSTYLE_GLASS] = {
			texture = [[esoui/art/icons/crafting_ore_base_malachite_r2.dds]], --Malachite
		},
		[ITEMSTYLE_UNDAUNTED] = {
			texture = [[esoui/art/icons/crafting_laurel.dds]], --Laurel
		},
		[ITEMSTYLE_ALLIANCE_ALDMERI] = {
			texture = [[esoui/art/icons/crafting_style_item_aldmeri_dominion.dds]], --Eagle Feather
		},
		[ITEMSTYLE_ALLIANCE_EBONHEART] = {
			texture = [[esoui/art/icons/crafting_style_item_ebonheart_pact.dds]], --Dragon Scute
		},
		[ITEMSTYLE_ALLIANCE_DAGGERFALL] = {
			texture = [[esoui/art/icons/crafting_style_item_daggerfall_covenant.dds]], --Lion Fang
		},
		[ITEMSTYLE_AREA_ANCIENT_ORC] = {
			texture = [[esoui/art/icons/crafting_smith_plug_standard_f_001.dds]], --Cassiterite
		},
		[ITEMSTYLE_DEITY_TRINIMAC] = {
			texture = [[esoui/art/icons/crafting_style_item_trinimac.dds]], --Auric Tusk
		},
		[ITEMSTYLE_DEITY_MALACATH] = {
			texture = [[esoui/art/icons/crafting_style_item_malacath.dds]], --Potash
		},
		[ITEMSTYLE_ORG_THIEVES_GUILD] = {
			texture = [[esoui/art/icons/crafting_style_item_thieves_guild_r2.dds]], --Fine Chalk
		},
		[ITEMSTYLE_AREA_YOKUDAN] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_DEITY_AKATOSH] = {
			texture = [[esoui/art/icons/crafting_style_item_orderoth_r2.dds]], --Pearl Sand
		},
		[ITEMSTYLE_AREA_RA_GADA] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_AREA_REACH_WINTER] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_EBONY] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_ENEMY_DRAUGR] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_ENEMY_BANDIT] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_ENEMY_MAORMER] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_ENEMY_DROMOTHRA] = {
			texture = [[esoui/art/icons/crafting_style_item_dromothra_r2.dds]], --Defiled Whiskers
		},
		[ITEMSTYLE_ENEMY_SKINCHANGER] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_RAIDS_CRAGLORN] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_ORG_WORM_CULT] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_ORG_MORAG_TONG] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[59] = {
			texture = [[esoui/art/icons/crafting_style_item_hollowjack_r2.dds]],
		},
		[ITEMSTYLE_NONE] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]], --transparent
		},
	},
}
-- textures for armor types
ShowMotifs.ARMOR_TEXTURES = {
	["Default"] = {
		[ARMORTYPE_LIGHT] = {
			texture = [[ShowMotifs/themes/Default/lightarmor.dds]],
			letter =  [[ShowMotifs/themes/Default/lightarmor_letter.dds]],
			},
		[ARMORTYPE_MEDIUM] = {
			texture = [[ShowMotifs/themes/Default/mediumarmor.dds]],
			letter =  [[ShowMotifs/themes/Default/mediumarmor_letter.dds]],
		},
		[ARMORTYPE_HEAVY] = {
			texture = [[ShowMotifs/themes/Default/heavyarmor.dds]],
			letter =  [[ShowMotifs/themes/Default/heavyarmor_letter.dds]],
		},
	},
	["Materials"] = {
		[ARMORTYPE_LIGHT] = {
			texture = [[EsoUI/Art/CharacterCreate/CharacterCreate_bodyIcon_up.dds]],
			letter =  [[ShowMotifs/themes/Default/lightarmor_letter.dds]],
			},
		[ARMORTYPE_MEDIUM] = {
			texture = [[EsoUI/Art/Campaign/overview_indexIcon_scoring_up.dds]],
			letter =  [[ShowMotifs/themes/Default/mediumarmor_letter.dds]],
		},
		[ARMORTYPE_HEAVY] = {
			texture = [[EsoUI/Art/Inventory/inventory_tabIcon_armor_up.dds]],
			letter =  [[ShowMotifs/themes/Default/heavyarmor_letter.dds]],
		},
	},
}
